List all dynamic components for an agent
curl --request GET \
--url https://a.api.mindset.ai/api/v2/appuid/{appUid}/agents/uid/{agentUid}/dynamicComponents \
--header 'x-api-key: <api-key>'import requests
url = "https://a.api.mindset.ai/api/v2/appuid/{appUid}/agents/uid/{agentUid}/dynamicComponents"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://a.api.mindset.ai/api/v2/appuid/{appUid}/agents/uid/{agentUid}/dynamicComponents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dynamicComponents": [
{
"name": "<string>",
"title": "<string>",
"description": "<string>",
"enabled": true,
"instructions": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
}
]
}This response has no body data.This response has no body data.This response has no body data.This response has no body data.DynamicComponents
List all dynamic components for an agent
Returns all available dynamic components (custom HTML elements) for the specified agent. Only accessible when SDK3 is enabled for the app.
GET
/
api
/
v2
/
appuid
/
{appUid}
/
agents
/
uid
/
{agentUid}
/
dynamicComponents
List all dynamic components for an agent
Authorizations
Path Parameters
Your application's uid
Minimum string length:
1The agent's uid
Minimum string length:
1Query Parameters
Start after the given createdAt timestamp (ISO 8601) for pagination
Response
Successful retrieval
Show child attributes
Show child attributes
⌘I